在安装WHMCS的时候遇到一个问题,程序上传完毕执行安装的时候出现错误提示:“ the file index.php requires the ionCube PHP Loaderioncube_loader_lin_5.3.so to be installed by the site administrator. ” 判断是服务器上没有安装ionCube PHP Loader。

 

CentOS部署WHMCS安装环境配置所需组件ionCube-续笔记自媒体

 

业内优秀的php加密解密组建ionCube和zend guard相比,ionCube更加安全。Zend guard的版本不是非常安全,网络上有破解使用Zend,下面我们来看IonCube安装方法吧。

 

1、用SSH登陆root执行命令查看系统信息,确定自己系统是32位还是64位。

如果返回的结果是32则说明是32位,返回的结果是64则说明是64位。

2、然后登陆 http://www.ioncube.com/loaders.php 根据自己的系统下载相应Linux软件包。
选择相应格式右键点击查看属性里边的地址。

 

3、在SSH执行“cd /usr/local”切换到/usr/local/目录, 然后再下载选择的包、解包。
4、修改php.ini文件。
修改/usr/local/php/etc/php.ini 在文件尾部添加如下代码:
如果以前装有Zend Optimizer,安装ionCube会和Zend Optimizer发生冲突,不过在添加代码的时候,将上面的添加到zend之前就好了。